set_property SRC_FILE_INFO {cfile:/group/zircon/kaviani/projects/SLRcross/timing.xdc rfile:timing.xdc id:1} [current_design]
set_property src_info {type:XDC file:1 line:1 export:INPUT save:INPUT read:READ} [current_design]

set_property src_info {type:XDC file:1 line:2 export:INPUT save:INPUT read:READ} [current_design]
create_clock -period 5.360 -name clk [get_ports clk]
set_property src_info {type:XDC file:1 line:3 export:INPUT save:INPUT read:READ} [current_design]
#create_generated_clock -source [get_pins clk_gen/BUFG_CLK0/O] -divide_by 1 [get_nets clk0_local]
set_property src_info {type:XDC file:1 line:4 export:INPUT save:INPUT read:READ} [current_design]
#create_clock -period 1.2 -name clk0_local [get_nets clk0_local]
set_property src_info {type:XDC file:1 line:5 export:INPUT save:INPUT read:READ} [current_design]
#create_clock -period 1.0 -name clk0 [get_nets clk0]
set_property src_info {type:XDC file:1 line:6 export:INPUT save:INPUT read:READ} [current_design]
#set_false_path -from [get_clocks clkinit] -to [get_clocks fastclk]
set_property src_info {type:XDC file:1 line:7 export:INPUT save:INPUT read:READ} [current_design]
#set_false_path -from [get_clocks fastclk] -to [get_clocks clkinit]
set_property src_info {type:XDC file:1 line:8 export:INPUT save:INPUT read:READ} [current_design]

set_property src_info {type:XDC file:1 line:9 export:INPUT save:INPUT read:READ} [current_design]
#set_false_path -through [get_nets {rst_pulse}]
set_property src_info {type:XDC file:1 line:10 export:INPUT save:INPUT read:READ} [current_design]
set_false_path -through [get_nets start]
set_property src_info {type:XDC file:1 line:11 export:INPUT save:INPUT read:READ} [current_design]
set_false_path -through [get_nets load]
set_property src_info {type:XDC file:1 line:12 export:INPUT save:INPUT read:READ} [current_design]
# max Y on Laguna: min + 119, MAX Y on SLICE: min + 59
set_property src_info {type:XDC file:1 line:13 export:INPUT save:INPUT read:READ} [current_design]

set_property src_info {type:XDC file:1 line:14 export:INPUT save:INPUT read:READ} [current_design]
#create_pblock src_1g
set_property src_info {type:XDC file:1 line:15 export:INPUT save:INPUT read:READ} [current_design]
#resize_pblock src_1g -add {LAGUNA_X22Y120:LAGUNA_X23Y239} -locs keep_all -replace
set_property src_info {type:XDC file:1 line:16 export:INPUT save:INPUT read:READ} [current_design]
#resize_pblock src_1g -add {SLICE_X134Y240:SLICE_X135Y299 LAGUNA_X18Y120:LAGUNA_X19Y239} -locs keep_all -replace
set_property src_info {type:XDC file:1 line:17 export:INPUT save:INPUT read:READ} [current_design]
#create_pblock dst_1g
set_property src_info {type:XDC file:1 line:18 export:INPUT save:INPUT read:READ} [current_design]
#resize_pblock dst_1g -add {LAGUNA_X22Y240:LAGUNA_X23Y359} -locs keep_all -replace
set_property src_info {type:XDC file:1 line:19 export:INPUT save:INPUT read:READ} [current_design]
#resize_pblock dst_1g -add {SLICE_X134Y300:SLICE_X136Y329 LAGUNA_X18Y240:LAGUNA_X19Y299} -locs keep_all -replace
set_property src_info {type:XDC file:1 line:20 export:INPUT save:INPUT read:READ} [current_design]

set_property src_info {type:XDC file:1 line:21 export:INPUT save:INPUT read:READ} [current_design]
#add_cells_to_pblock [get_pblocks src_1g] [get_cells [list src_SLR*]] -clear_locs
set_property src_info {type:XDC file:1 line:22 export:INPUT save:INPUT read:READ} [current_design]
#add_cells_to_pblock [get_pblocks dst_1g] [get_cells [list dst_SLR*]] -clear_locs
set_property src_info {type:XDC file:1 line:23 export:INPUT save:INPUT read:READ} [current_design]

set_property src_info {type:XDC file:1 line:24 export:INPUT save:INPUT read:READ} [current_design]
#startgroup
set_property src_info {type:XDC file:1 line:25 export:INPUT save:INPUT read:READ} [current_design]
#create_pblock pblock_top
set_property src_info {type:XDC file:1 line:26 export:INPUT save:INPUT read:READ} [current_design]
#add_cells_to_pblock pblock_top [get_cells [list s2p_top]] -clear_locs
set_property src_info {type:XDC file:1 line:27 export:INPUT save:INPUT read:READ} [current_design]
#add_cells_to_pblock pblock_top [get_cells [list p2s_top]] -clear_locs
set_property src_info {type:XDC file:1 line:28 export:INPUT save:INPUT read:READ} [current_design]
#add_cells_to_pblock pblock_top [get_cells [list T_top]] -clear_locs
set_property src_info {type:XDC file:1 line:30 export:INPUT save:INPUT read:READ} [current_design]
#resize_pblock [get_pblocks pblock_top] -add {SLICE_X55Y330:SLICE_X70Y332}
set_property src_info {type:XDC file:1 line:31 export:INPUT save:INPUT read:READ} [current_design]
#resize_pblock [get_pblocks pblock_top] -add {CLOCKREGION_X5Y5:CLOCKREGION_X5Y5}
set_property src_info {type:XDC file:1 line:32 export:INPUT save:INPUT read:READ} [current_design]
#endgroup
set_property src_info {type:XDC file:1 line:33 export:INPUT save:INPUT read:READ} [current_design]
#startgroup
set_property src_info {type:XDC file:1 line:34 export:INPUT save:INPUT read:READ} [current_design]
#create_pblock pblock_bot
set_property src_info {type:XDC file:1 line:35 export:INPUT save:INPUT read:READ} [current_design]
#add_cells_to_pblock pblock_bot [get_cells [list s2p_bot]] -clear_locs
set_property src_info {type:XDC file:1 line:36 export:INPUT save:INPUT read:READ} [current_design]
#add_cells_to_pblock pblock_bot [get_cells [list p2s_bot]] -clear_locs
set_property src_info {type:XDC file:1 line:37 export:INPUT save:INPUT read:READ} [current_design]
#add_cells_to_pblock pblock_bot [get_cells [list T_bot]] -clear_locs
set_property src_info {type:XDC file:1 line:38 export:INPUT save:INPUT read:READ} [current_design]
#resize_pblock [get_pblocks pblock_bot] -add {SLICE_X146Y240:SLICE_X152Y272}
set_property src_info {type:XDC file:1 line:39 export:INPUT save:INPUT read:READ} [current_design]
#resize_pblock [get_pblocks pblock_bot] -add {SLICE_X55Y270:SLICE_X70Y272}
set_property src_info {type:XDC file:1 line:40 export:INPUT save:INPUT read:READ} [current_design]
#resize_pblock [get_pblocks pblock_bot] -add {CLOCKREGION_X5Y4:CLOCKREGION_X5Y4}
set_property src_info {type:XDC file:1 line:41 export:INPUT save:INPUT read:READ} [current_design]
#endgroup
set_property src_info {type:XDC file:1 line:42 export:INPUT save:INPUT read:READ} [current_design]

set_property src_info {type:XDC file:1 line:43 export:INPUT save:INPUT read:READ} [current_design]
#set_max_delay -from [get_cells src_flop*] -to [get_cells dst_flop*] 1.25
set_property src_info {type:XDC file:1 line:44 export:INPUT save:INPUT read:READ} [current_design]
#set_min_delay -from [get_cells src_flop*] -to [get_cells dst_flop*] 0.35
set_property src_info {type:XDC file:1 line:45 export:INPUT save:INPUT read:READ} [current_design]
#set_max_delay -from [get_cells dst_flop*] -to [get_cells out_reg*] 0.75
set_property src_info {type:XDC file:1 line:46 export:INPUT save:INPUT read:READ} [current_design]
#set_multicycle_path 2 -setup -from [get_cells src_SLR*] -to [get_cells dst_SLR*]
set_property src_info {type:XDC file:1 line:47 export:INPUT save:INPUT read:READ} [current_design]
#set_multicycle_path 1 -hold -from [get_pins src_SLR*/C] -to [get_pins dst_SLR*/D]
set_property src_info {type:XDC file:1 line:48 export:INPUT save:INPUT read:READ} [current_design]

set_property src_info {type:XDC file:1 line:49 export:INPUT save:INPUT read:READ} [current_design]

